Name: managelogs
Summary: Log management software
Version: 2.2.1
Release: 44.8
License: Apache Software License 2.0 (ASL 2.0)
Source: managelogs-%{version}.tar.gz
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:  zlib-devel  gcc make glibc-devel autoconf automake libtool
Requires: zlib bzip2
Group: Productivity/Networking/Web/Utilities
BuildRequires:  apr-devel zlib-devel bzip2-devel
Requires:  apr zlib bzip2-libs
Provides: managelogs
Group: Applications/Internet

%description
managelogs is a log management program for Apache.
It rotates and purges the Apache log files based on different size
limits and includes a lot of useful features.


%prep
%setup -q
# %__chmod 0644 ACKNOWLEDGEMENTS AUTHORS ChangeLog COPYING NEWS NOTICE README TODO  

%build
# On OBS, run autotools because installed versions can be
# incompatible with the version we ran to generate the distrib.
# Unfortunately, OBS uses two different strings for the 'vendor' macro
in_obs=''
echo '%vendor' | grep '^obs://build.opensuse.org/' && in_obs=y
[ '%vendor' = 'openSUSE Build Service' ] && in_obs=y
if [ -n "$in_obs" ] ; then
	build/buildconf --verbose
fi
%configure %{?_without_zlib} %{?_without_bz2}
make %{?_smp_mflags}

%check
make check

%install
rm -rf "%{buildroot}"
mkdir "%{buildroot}"
%makeinstall

%clean
rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ACKNOWLEDGEMENTS AUTHORS ChangeLog COPYING NEWS NOTICE README TODO doc/managelogs.8.htm
%{_bindir}/managelogs
%{_libdir}/liblogmanager.*
%{_includedir}/logmanager.h
%{_mandir}/man8/managelogs.*
